version: '3'

services:
  web:
    image: prom/prometheus:v2.4.3
    command:
      - "--config.file=/etc/prometheus/prometheus.yml"
      - "--storage.tsdb.path=/prometheus"
      - "--web.console.libraries=/usr/share/prometheus/console_libraries"
      - "--web.console.templates=/usr/share/prometheus/consoles"
      - "--storage.tsdb.retention=30d"
      - "--web.enable-lifecycle"
    ports:
      - '9090:9090'
    networks:
      - default
    volumes:
      - default:/prometheus
      - ./prometheus.yml:/etc/prometheus/prometheus.yml
    restart: unless-stopped
  alertmanager:
    image: prom/alertmanager:v0.15.3
    ports:
      - '9093:9093'
    networks:
      - default
    volumes:
      - default:/alertmanager
      - ./config.yml:/etc/alertmanager/config.yml
    restart: unless-stopped

networks:
  default:

volumes:
  default:
